Page MenuHomeFreeBSD

net/tigervnc: separate port into -server and -viewer
ClosedPublic

Authored by meta on Mar 26 2019, 9:01 AM.

Details

Summary

I'm working on seperating net/tigervnc port into -server and -viewer.

net/tigervnc-server contains server components of TigerVNC.
net/tigervnc-viewer contains client(viewer) components of TigerVNC.

Now net/tigervnc is a metaport and contains common patches and Makefile.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

meta created this revision.Mar 26 2019, 9:01 AM

The patch is failing as follows, almost at the end in net/tigervnc/Makefile, don’t understand why, but I reckon is the $FreeBSD$ string which is causing the problem:

|Index: net/tigervnc/Makefile
|--- net/tigervnc/Makefile
|+++ net/tigervnc/Makefile
--------------------------
Patching file net/tigervnc/Makefile using Plan A...
Hunk #1 failed at 1.
1 out of 1 hunks failed while patching net/tigervnc/Makefile
meta updated this revision to Diff 55490.Mar 27 2019, 12:44 PM

Resolve conflicts

meta updated this revision to Diff 55491.Mar 27 2019, 1:33 PM

Resolve conflicts again

meta added a comment.Mar 27 2019, 1:36 PM

@juan.molina_club.fr Fixed, now it should patch!

Yes, it works. I will build and test as soon as possible.

juan.molina_club.fr added a comment.EditedMar 28 2019, 1:54 PM

I’ve built the server component and replaced the previous version of TigerVNC without issues. Thanks for your work.

meta updated this revision to Diff 55647.Mar 31 2019, 12:49 PM

Pet portlint, use options in metaport

This revision was not accepted when it landed; it landed in state Needs Review.Mar 31 2019, 1:10 PM
This revision was automatically updated to reflect the committed changes.